CREATE TABLE atk_fuse_theme_properties (
    THEME_ID                    NUMBER(18, 0) ,
    THEME_NAME                  VARCHAR2(1120)    NOT NULL,
    THEME_ATTR_NAME             VARCHAR2(4000),
    DEFAULT_THEME_ATTR_VALUE    VARCHAR2(4000)    NOT NULL,
    SITE_THEME_ATTR_VALUE       VARCHAR2(4000),
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    THEME_ID                    NUMBER(18, 0) ,
    THEME_NAME                  VARCHAR2(1120)    NOT NULL,
    THEME_ATTR_NAME             VARCHAR2(4000),
    DEFAULT_THEME_ATTR_VALUE    VARCHAR2(4000)    NOT NULL,
    SITE_THEME_ATTR_VALUE       VARCHAR2(4000),
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_atk_fuse_theme_properties PRIMARY KEY (THEME_ID, THEME_ATTR_NAME, THEME_ID, THEME_ATTR_NAME)
);
